//
//  RequestParameters.swift
//  StandardCheckoutKit
//
//  Created by Vinicius on 09/06/17.
//  Copyright © 2017 Paymentz. All rights reserved.
//

import Foundation

public class RequestParameters {
    
    public init() {
    }
    
    
    public var memberId: String?
    public var checksum: String?
    public var terminalId: String?
    public var merchantTransactionId: String?
    public var amount: String?
    public var currency: String?
    public var paymentBrand: String?
    public var paymentMode: String?
    public var merchantRedirectUrl: String?
    public var toType: String?
    public var version: String?
    public var email: String?
    public var phone: String?
    public var birthDate: String?
    public var givenName: String?
    public var surName: String?
    public var postCode: String?
    public var street: String?
    public var city: String?
    public var state: String?
    public var country: String?
    public var tmplAmount: String?
    public var orderDescription: String?
    public var telnocc: String?
    public var tmplCurrency: String?
    public var hostUrl: String?
    public var device: String?
    
    required init(_ json: [String:Any]) {
        self.memberId = json["memberId"] as? String ?? ""
        self.paymentMode = json["paymentMode"] as? String ?? ""
        self.terminalId = json["terminalId"] as? String ?? ""
        self.merchantTransactionId = json["merchantTransactionId"] as? String ?? ""
        self.amount = json["amount"] as? String ?? ""
        self.currency = json["currency"] as? String ?? ""
        self.toType = json["toType"] as? String ?? ""
        self.paymentBrand = json["paymentBrand"] as? String ?? ""
        self.merchantRedirectUrl = json["merchantRedirectUrl"] as? String ?? ""
        self.tmplAmount = json["tmplAmount"] as? String ?? ""
        self.tmplCurrency = json["tmplCurrency"] as? String ?? ""
        self.orderDescription = json["orderDescription"] as? String ?? ""
        self.country = json["country"] as? String ?? ""
        self.state = json["state"] as? String ?? ""
        self.street = json["street"] as? String ?? ""
        self.city = json["city"] as? String ?? ""
        self.email = json["email"] as? String ?? ""
        self.postCode = json["postCode"] as? String ?? ""
        self.telnocc = json["telnocc"] as? String ?? ""
        self.phone = json["phone"] as? String ?? ""
        self.hostUrl = json["hostUrl"] as? String ?? ""
        self.device = json["device"] as? String ?? "ios"
    }
}
